import type { InspectionViewModel } from "../inspectionPlan/inspectionPlan.models";
import type { VehicleTypeViewModel } from "../vehicleType/vehicleType.models";

export interface VehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  vehicleTypeId: string;
  vehicleType: VehicleTypeViewModel;
  inspections: Array<InspectionViewModel>;
}

export interface CreateVehicleViewModel {
  code?: string;
  name: string;
  location: string;
  vehicleTypeId: string;
}

export interface UpdateVehicleViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
}
